Package Details: lib32-xine-lib 1.2.8-2

Git Clone URL: https://aur.archlinux.org/lib32-xine-lib.git (read-only)
Package Base: lib32-xine-lib
Description: A multimedia playback engine (32-bit)
Upstream URL: http://www.xine-project.org
Licenses: GPL, LGPL
Submitter: orumin
Maintainer: orumin
Last Packager: orumin
Votes: 1
Popularity: 0.095506
First Submitted: 2017-07-08 13:18
Last Updated: 2017-08-11 06:45

Dependencies (44)

Required by (1)

Sources (1)

Latest Comments

Win8Error commented on 2017-12-29 19:44

@Tomato. The packages don't help ... The build still fails ...

Making all in video_out

make[2]: Verzeichnis „/home/joel/lib32-xine-lib/src/xine-lib-1.2.8/src/video_out“ wird betreten

make[3]: Verzeichnis „/home/joel/lib32-xine-lib/src/xine-lib-1.2.8/src/video_out“ wird betreten

CC libyuv2rgb_la-yuv2rgb.lo

CC libyuv2rgb_la-yuv2rgb_mmx.lo

CCLD libyuv2rgb.la

ar: u' modifier ignored sinceD' is the default (see `U')

CC xineplug_vo_out_xshm_la-video_out_xshm.lo

CC xineplug_vo_out_xshm_la-x11osd.lo

CCLD xineplug_vo_out_xshm.la

CC xineplug_vo_out_xv_la-x11osd.lo

CC xineplug_vo_out_xv_la-video_out_xv.lo

CCLD xineplug_vo_out_xv.la

CC xineplug_vo_out_xvmc_la-video_out_xvmc.lo

CCLD xineplug_vo_out_xvmc.la

CC xineplug_vo_out_opengl_la-video_out_opengl.lo

CC xineplug_vo_out_opengl_la-x11osd.lo

CCLD xineplug_vo_out_opengl.la

CC xineplug_vo_out_opengl2_la-video_out_opengl2.lo

CCLD xineplug_vo_out_opengl2.la

CC xineplug_vo_out_vidix_la-video_out_vidix.lo

CC xineplug_vo_out_vidix_la-x11osd.lo

CCLD xineplug_vo_out_vidix.la

CC xineplug_vo_out_aa_la-video_out_aa.lo

CCLD xineplug_vo_out_aa.la

/usr/bin/ld: skipping incompatible /usr/lib/libaa.so when searching for -laa

/usr/bin/ld: skipping incompatible /usr/lib/libm.so when searching for -lm

/usr/bin/ld: skipping incompatible /usr/lib/libm.a when searching for -lm

/usr/bin/ld: skipping incompatible /usr/lib/libX11.so when searching for -lX11

/usr/bin/ld: skipping incompatible /usr/lib/libgpm.so when searching for -lgpm

/usr/bin/ld: skipping incompatible /usr/lib/libncursesw.so.6 when searching for libncursesw.so.6

/usr/bin/ld: skipping incompatible /usr/lib/libtinfo.so when searching for -ltinfo

/usr/bin/ld: skipping incompatible /usr/lib/gcc/x86_64-pc-linux-gnu/7.2.1/../../../libtinfo.so when searching for -ltinfo

/usr/bin/ld: skipping incompatible /usr/lib/libtinfo.so when searching for -ltinfo

/usr/bin/ld: cannot find -ltinfo

/usr/bin/ld: skipping incompatible /usr/lib/libgcc_s.so.1 when searching for libgcc_s.so.1

collect2: error: ld returned 1 exit status

make[3]: *** [Makefile:1252: xineplug_vo_out_aa.la] Fehler 1

make[3]: Verzeichnis „/home/joel/lib32-xine-lib/src/xine-lib-1.2.8/src/video_out“ wird verlassen

make[2]: *** [Makefile:1686: all-recursive] Fehler 1

make[2]: Verzeichnis „/home/joel/lib32-xine-lib/src/xine-lib-1.2.8/src/video_out“ wird verlassen

make[1]: *** [Makefile:618: all-recursive] Fehler 1

make[1]: Verzeichnis „/home/joel/lib32-xine-lib/src/xine-lib-1.2.8/src“ wird verlassen

make: *** [Makefile:695: all-recursive] Fehler 1

==> FEHLER: Ein Fehler geschah in build().

Breche ab...

[joel@joel-pc lib32-xine-lib]$

Tomato commented on 2017-12-02 15:42

it actually needs ncurses-full and lib32-ncurses-full and (maybe) fixing up libtinfo.so and libtinfo.so.6 symlinks to point to libncursesw.so.6.0

KozRoss commented on 2017-11-21 21:26

This fails to build (even after I add the lib32-libtinfo dep), with the following error:

CCLD xineplug_vo_out_fb.la
/usr/bin/ld: skipping incompatible /usr/lib/libaa.so when searching for -laa
/usr/bin/ld: skipping incompatible /usr/lib/libm.so when searching for -lm
/usr/bin/ld: skipping incompatible /usr/lib/libm.a when searching for -lm
/usr/bin/ld: skipping incompatible /usr/lib/libX11.so when searching for -lX11
/usr/bin/ld: skipping incompatible /usr/lib/libgpm.so when searching for -lgpm
/usr/bin/ld: skipping incompatible /usr/lib/libncursesw.so.6 when searching for libncursesw.so.6
/usr/bin/ld: skipping incompatible /usr/lib/libtinfo.so when searching for -ltinfo
/usr/bin/ld: skipping incompatible /usr/lib/gcc/x86_64-pc-linux-gnu/7.2.0/../../../libtinfo.so when searching for -ltinfo
/usr/bin/ld: skipping incompatible /usr/lib/libtinfo.so when searching for -ltinfo
/usr/bin/ld: cannot find -ltinfo
/usr/bin/ld: skipping incompatible /usr/lib/libgcc_s.so.1 when searching for libgcc_s.so.1
collect2: error: ld returned 1 exit status
make[3]: *** [Makefile:1252: xineplug_vo_out_aa.la] Error 1
make[3]: *** Waiting for unfinished jobs....
make[3]: Leaving directory '/tmp/yaourt-tmp-koz/aur-lib32-xine-lib/src/xine-lib-1.2.8/src/video_out'
make[2]: *** [Makefile:1686: all-recursive] Error 1
make[2]: Leaving directory '/tmp/yaourt-tmp-koz/aur-lib32-xine-lib/src/xine-lib-1.2.8/src/video_out'
make[1]: *** [Makefile:618: all-recursive] Error 1
make[1]: Leaving directory '/tmp/yaourt-tmp-koz/aur-lib32-xine-lib/src/xine-lib-1.2.8/src'
make: *** [Makefile:695: all-recursive] Error 1

yannleretaille commented on 2017-11-17 03:23

missing dependency to lib32-libtinfo (in the 64bit version of ncurses libtinfo.so is already included, but not in lib32-ncurses)

llde commented on 2017-08-22 14:26

lib32-imagemagick dependancies should be added otherwise it will fail to find libMagickWand-6.Q16HDRI

quadpl_03 commented on 2017-07-14 14:24

The following dependencies should be added to the list:
lib32-gconf - https://www.archlinux.org/packages/multilib/x86_64/lib32-gconf/
lib32-gnome-vfs - https://aur.archlinux.org/packages/lib32-gnome-vfs/

dengarjs commented on 2017-07-14 08:54

I created an AUR package for the missing dependency. Please add it to the dependency list:

https://aur.archlinux.org/packages/lib32-libxdg-basedir/

dengarjs commented on 2017-07-09 11:31

I am failing to build this package due to an incompatible library:

CCLD libxine.la
/usr/bin/ld: skipping incompatible /usr/lib/gcc/x86_64-pc-linux-gnu/7.1.1/../../../libxdg-basedir.so when searching for -lxdg-basedir
/usr/bin/ld: skipping incompatible /usr/lib/libxdg-basedir.so when searching for -lxdg-basedir
/usr/bin/ld: cannot find -lxdg-basedir
collect2: error: ld returned 1 exit status

The only libxdg-basedir.so I am able to install is part of the (64bit) libxdg-basedir package. Unfortunately, there is no 32bit equivalent in the official repositories or here on AUR.